gnutls_x509_crt_get_issuer_dn(3)

NAME
gnutls_x509_crt_get_issuer_dn - This function returns the Certificate's issuer distinguished name

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_issuer_dn(gnutls_x509_crt_t cert, char * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

char * buf
    a pointer to a structure to hold the name (may be null)

size_t * sizeof_buf
    initially holds the size of buf

DESCRIPTION
This function will copy the name of the Certificate issuer in the provided buffer. The name will be in the form "C=xxxx,O=yyyy,CN=zzzz" as described in RFC2253. The output string will be ASCII or UTF-8 encoded, depending on the certificate data.

If buf is null then only the size will be filled.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the *sizeof_buf will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.